<?
///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//   Program Name         : EzUpload Pro                                     //
//   Program Version      : 2.10                                             //
//   Supplied by          : CyKuH [WTN]                                      //
//   Nullified by         : CyKuH [WTN]                                      //
//   Distribution         : via WebForum, ForumRU and associated file dumps  //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////
  ////////////////////////////////////////////////////////////////////////////////
  // NOTES REGARDING TRANSLATION PACKS ///////////////////////////////////////////
  ////////////////////////////////////////////////////////////////////////////////
  // Currently ezUpload Pro supports multi-languages only for the upload form.
  // This consists of five pages as shown below. If you want to make your own
  // language pack, copy the file under a new name (for example lang_spanish.php
  // if you want to make a spanish translation) and translates only on the SECOND
  // part (after the =) between the "". Don't change anything else and also keep
  // the various text formats (spaces, parantheses, etc). There is no need to
  // translate word to word as long as people understand. Also make sure to keep
  // approximately the same length since it may affects the look of the form.
  //
  ////////////////////////////////////////////////////////////////////////////////
  
  $LANGPACK[$i]['name'] = "Francais";
  $LANGPACK[$i]['file'] = "lang_french.php";
  
  // Javascript validation (checkfields.php)
  $_LANG['js_error'] = "The champs suivants ne sont pas corrects";
  $_LANG['missing_field'] = "Champ manquant";
  $_LANG['invalid_address'] = "Adresse email non valide";
  $_LANG['max_chars'] = "Caractres maximum";
  $_LANG['min_chars'] = "Caractres minimum";
  $_LANG['no_option_checked'] = "Aucune option slectionne";
  $_LANG['invalid_extension'] = "Extension pas accepte";
  $_LANG['large_files_warning'] = "Vos fichiers vont tre envoys maintenant. Selon la taille de ces fichiers et la vitesse de votre connection Internet, il se peut que cela prenne un certain temps. Soyez patient.";

  // Password page (form_password.php)
  $_LANG['enter_pass'] = "Entrer le mot de passe pour continuer";
  $_LANG['forgot_pass'] = "Pas de mot de passe?";
  $_LANG['email_admin'] = "Ecrire au webmestre";
  $_LANG['enter'] = "Entrer"; // for the button
	
  // Form page (form_show.php)
  $_LANG['upload_files'] = "Soumettre"; // for the upload button
  $_LANG['upload_folder'] = "Dossier"; // if user has to select sub-directory

  // Upload page (form_upload.php)
  $_LANG['dir_creation_error'] = "Erreur! Impossible de crer le dossier! (Pas la permission)";
  $_LANG['ext_not_accepted'] = "Extension pas accepte";
  $_LANG['file_too_large'] = "Fichier trop gros (Max. ";
  $_LANG['file_too_small'] = "Fichier trop petit (Min. ";
  $_LANG['image_height'] = "L'hauteur de l'image doit tre de ";
  $_LANG['image_width'] = "La largeur de l'image doit tre de ";
  $_LANG['pixels'] = " pixels"; // follows the two field above
  $_LANG['required_missing'] = "Ce champ requis est manquant";
  $_LANG['maxsize_settings'] = "Valeur de upload_max_filesize dpasse";
  $_LANG['maxsize_form'] = "Valeur de MAX_FILE_SIZE dpasse";
  $_LANG['partial_upload'] = "Le fichier a t que partiellement upload";
  $_LANG['invalid_file'] = "Fichier incorrect (Utilisez bouton Parcourir)";
  $_LANG['value_too_short'] = "Valeur trop courte (Min. ";
  $_LANG['value_too_long'] = "Valeur trop longue (Max. ";
  
  // Results page (form_results.php)
  $_LANG['upload_error'] = "Attention, votre submission n'a pas t faite! Les dtails sont ci-dessous. Cliquez sur \"Ressayer\" pour faire un autre essai.";
  $_LANG['try_again'] = "Ressayer"; // for a button
  $_LANG['upload_more'] = "Envoyer Plus"; // for a button
  $_LANG['continue'] = "Continuer"; // for a button
  
?>