<?
///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//   Program Name         : EzUpload Pro                                     //
//   Program Version      : 2.10                                             //
//   Supplied by          : CyKuH [WTN]                                      //
//   Nullified by         : CyKuH [WTN]                                      //
//   Distribution         : via WebForum, ForumRU and associated file dumps  //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////
  // make sure the file is not included twice
  if( !defined('INITIALIZE_INCLUDED') )
  {
    define( 'INITIALIZE_INCLUDED', 1 );
	
    error_reporting( E_ALL ^ E_NOTICE );

	// include common functions and classes
    include( $path . "functions.php" );
    include( $path . "classes.php" );

	// for versions prior to 4.1
    $_GET = $HTTP_GET_VARS;
    $_POST = $HTTP_POST_VARS;
    $_FILES = $HTTP_POST_FILES;
    $_SERVER = $HTTP_SERVER_VARS;
    $_COOKIE = $HTTP_COOKIE_VARS;
  
    // remove slashes if magicquotes enabled
    if( get_magic_quotes_gpc() )
    {
	  $_GET = stripslashes_array( $_GET );
      $_POST = stripslashes_array( $_POST );
	  $_COOKIE = stripslashes_array( $_COOKIE );
    }
  
    // defines some variables
    $filesdir = "files/";
    $safemode = ini_get( "safe_mode" );
    $uploadon = ini_get( "file_uploads" );
	$ezu_version = "2.1.0";
	$ezuploadurl = "http://" . $_SERVER['SERVER_NAME'] . dirname($_SERVER['PHP_SELF']);
	$demomode = false;
	
	if( !file_exists($path.$filesdir) )
	{
	  echo( "Error, the script couldn't find the upload directory ($filesdir). Please make sure it exists." );
	  exit;
	}
  
    // initialize all the classes
    $CONF = new tablefile( $path . "var_settings.php" );
    $FIELD = new tablefile( $path . "var_fields.php" );
    $UPLOAD = new tablefile( $path . "var_uploads.php" );
    $FILE = new tablefile( $path . "var_files.php" );
    $OPTION = new tablefile( $path . "var_options.php" );
  
    if( isset($_GET['PHPSESSID']) )
      $PHPSESSID = $_GET['PHPSESSID'];
    elseif( isset($_POST['PHPSESSID']) )
      $PHPSESSID = $_POST['PHPSESSID'];
  
    // setup the session
    @session_start();
    $SID = session_name() . "=" . session_id();
  }
  
?>