<?
///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//   Program Name         : EzUpload Pro                                     //
//   Program Version      : 2.10                                             //
//   Supplied by          : CyKuH [WTN]                                      //
//   Nullified by         : CyKuH [WTN]                                      //
//   Distribution         : via WebForum, ForumRU and associated file dumps  //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////
  ////////////////////////////////////////////////////////////////////////////////
  // NOTES REGARDING TRANSLATION PACKS ///////////////////////////////////////////
  ////////////////////////////////////////////////////////////////////////////////
  // Currently ezUpload Pro supports multi-languages only for the upload form.
  // This consists of five pages as shown below. If you want to make your own
  // language pack, copy the file under a new name (for example lang_spanish.php
  // if you want to make a spanish translation) and translates only on the SECOND
  // part (after the =) between the "". Don't change anything else and also keep
  // the various text formats (spaces, parantheses, etc). There is no need to
  // translate word to word as long as people understand. Also make sure to keep
  // approximately the same length since it may affects the look of the form.
  //
  ////////////////////////////////////////////////////////////////////////////////
  
  $LANGPACK[$i]['name'] = "English";
  $LANGPACK[$i]['file'] = "lang_english.php";
  
  // Javascript validation (checkfields.php)
  $_LANG['js_error'] = "The following fields are incorrect";
  $_LANG['missing_field'] = "Missing field";
  $_LANG['invalid_address'] = "Invalid email address";
  $_LANG['max_chars'] = "Max. chars";
  $_LANG['min_chars'] = "Min. chars";
  $_LANG['no_option_checked'] = "No option checked";
  $_LANG['invalid_extension'] = "Extension not accepted";
  $_LANG['large_files_warning'] = "Your files are going to be uploaded now. Depending on the size of these files and your internet connection, this may take some time. Please be patient.";

  // Password page (form_password.php)
  $_LANG['enter_pass'] = "Enter the password to access upload form";
  $_LANG['forgot_pass'] = "Don't know the password?";
  $_LANG['email_admin'] = "Email webmaster";
  $_LANG['enter'] = "Enter"; // for the button
	
  // Form page (form_show.php)
  $_LANG['upload_files'] = "Upload Files"; // for the upload button
  $_LANG['upload_folder'] = "Upload Folder"; // if user has to select sub-directory

  // Upload page (form_upload.php)
  $_LANG['dir_creation_error'] = "Error! Could not create directory! (Permission denied)";
  $_LANG['ext_not_accepted'] = "Extension not accepted";
  $_LANG['file_too_large'] = "File is too large (Max. ";
  $_LANG['file_too_small'] = "File is too small (Min. ";
  $_LANG['image_height'] = "Image height must be ";
  $_LANG['image_width'] = "Image width must be ";
  $_LANG['pixels'] = " pixels"; // follows the two field above
  $_LANG['required_missing'] = "Required field is missing";
  $_LANG['maxsize_settings'] = "upload_max_filesize directive exceeded";
  $_LANG['maxsize_form'] = "MAX_FILE_SIZE directive exceeded";
  $_LANG['partial_upload'] = "The file was only partially uploaded";
  $_LANG['invalid_file'] = "Invalid file (Use the Browse button)";
  $_LANG['value_too_short'] = "Value is too short (Min. ";
  $_LANG['value_too_long'] = "Value is too long (Max. ";
  
  // Results page (form_results.php)
  $_LANG['upload_error'] = "Attention, your upload was not successful! See below for the details and click on Try Again to make another attempt.";
  $_LANG['try_again'] = "Try Again"; // for a button
  $_LANG['upload_more'] = "Upload More"; // for a button
  $_LANG['continue'] = "Continue"; // for a button
  
?>